Author Topic: Protection against Slowloris?  (Read 5897 times)

0 Members and 1 Guest are viewing this topic.

Protection against Slowloris?
« on: May 08, 2015, 07:35:34 PM »
What actually measures you all are taking to protect your server from slowloris attack?

Offline
*
Re: Protection against Slowloris?
« Reply #1 on: August 14, 2015, 07:39:53 PM »
for myself hosted with OVH which has ddos protection as standard but also on the server side use mod_antiloris.
Code: [Select]
1. Download the installer and install from Sourceforge.net:

$ cd /usr/local/src
$ wget http://sourceforge.net/projects/mod-antiloris/files/mod_antiloris-0.4.tar.bz2/download
$ tar -xvjf mod_antiloris-0.4.tar.bz2
$ cd mod_antiloris-*
$ apxs -a -i -c mod_antiloris.c

2. Restart Apache:

$ service httpd restart

Offline
**
Re: Protection against Slowloris?
« Reply #2 on: November 06, 2015, 10:59:30 AM »
What else hard solution you have bullten for slowloris protection in CWP?

Re: Protection against Slowloris?
« Reply #3 on: November 06, 2015, 03:32:20 PM »
I would just enable nginx to stop it.

Offline
**
Re: Protection against Slowloris?
« Reply #4 on: November 06, 2015, 11:18:55 PM »
But if we don't want to use NGINX? as CWP NGINX still have the Apache 2.2.15 Double apache installation bug when I have already Apache 2.4 with suPHP 0.7.2 installed in my CWP. Also would Apache + Varnish + NGINX + CloudFlare would be a good option to choose?

Offline
***
Re: Protection against Slowloris?
« Reply #5 on: December 28, 2015, 12:16:13 PM »
Just rebuild Apache with the CWP slowloris module

Offline
**
Re: Protection against Slowloris?
« Reply #6 on: July 16, 2018, 09:05:41 PM »
For begginers like myself may be useful:

for the address enter:
 wget http://sourceforge.net/projects/mod-antiloris/files/mod_antiloris-0.4.tar.bz2


and if for  [root@srv mod_antiloris-0.4]# apxs -a -i -c mod_antiloris.c

You get such an error:
-bash: apxs: command not found


You have to install the Apache dev tools by this command:

yum install httpd-devel

Then continue :) 

I love CWP

Offline
****
Re: Protection against Slowloris?
« Reply #7 on: July 16, 2018, 09:10:50 PM »
apxs is located here : /usr/local/apache/bin/apxs

You dont have to install anything using yum for that.

Installing that using yum will break your apache as you will be bound to use another yum version of apache and will cause issue with your server.
« Last Edit: July 16, 2018, 09:13:59 PM by bullten »

Offline
**
Re: Protection against Slowloris?
« Reply #8 on: July 16, 2018, 09:15:52 PM »
It happend to me. :D

What should I do now?
I love CWP

Offline
****
Re: Protection against Slowloris?
« Reply #9 on: July 16, 2018, 09:18:43 PM »
When you login to cwp root there it will show to fix your apache as your are using different version of apache. Fix using that.

Or do

yum remove httpd httpd-devel
yum reinstall cwp-httpd
« Last Edit: July 16, 2018, 09:20:25 PM by bullten »

Offline
**
Re: Protection against Slowloris?
« Reply #10 on: July 16, 2018, 09:26:20 PM »
You mean from here?

Job for httpd.service failed because the control process exited with error code. See "systemctl status httpd.service" and "journalctl -xe" for details.


I do not need to remove that (yum install httpd-devel) too?

I found this solution on other forum.

 
I love CWP

Offline
****
Re: Protection against Slowloris?
« Reply #11 on: July 16, 2018, 09:31:33 PM »
Did you try above what I wrote? Or you found different solution on another forum for that?

I didn't get what you mean

Offline
**
Re: Protection against Slowloris?
« Reply #12 on: July 16, 2018, 09:39:00 PM »
I did not find your solution.
When I go to the root of the CWP panel I do not see  any fix for it.
Just there is a red light in front of the Apache and when I restart it it shoews such a thing:
 
"Job for httpd.service failed because the control process exited with error code. See "systemctl status httpd.service" and "journalctl -xe" for details."
I love CWP

Offline
****
Re: Protection against Slowloris?
« Reply #13 on: July 16, 2018, 09:40:24 PM »
Run the commands below.

yum remove httpd httpd-devel
yum reinstall cwp-httpd

Offline
****
Re: Protection against Slowloris?
« Reply #14 on: July 16, 2018, 09:47:11 PM »
Between I just replicated the same thing on one of my local server.

See the screenshot to know what I was pointing to.

http://send.bullten.net/download/3ccb94deb7f5093514bc452d032e26e5.html